# Uses of Annotation Interface
nu.validator.htmlparser.annotation.NoLength

Packages that use NoLength
Package
Description
nu.validator.htmlparser.common
This package provides common interfaces and enumerations.
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.

## Uses of NoLength in nu.validator.htmlparser.common

Method parameters in nu.validator.htmlparser.common with annotations of type NoLength
Modifier and Type
Method
Description
`void`
TokenHandler.`characters(char[] buf, int start, int length)`
Receive character tokens.
`void`
TokenHandler.`comment(char[] buf, int start, int length)`
Receive a comment token.

## Uses of NoLength in nu.validator.htmlparser.impl

Methods in nu.validator.htmlparser.impl with annotations of type NoLength
Modifier and Type
Method
Description
`char[]`
UTF16Buffer.`getBuffer()`
Returns the backing buffer.
Method parameters in nu.validator.htmlparser.impl with annotations of type NoLength
Modifier and Type
Method
Description
`protected final void`
CoalescingTreeBuilder.`accumulateCharacters(char[] buf, int start, int length)`
`protected void`
TreeBuilder.`accumulateCharacters(char[] buf, int start, int length)`
`protected abstract void`
TreeBuilder.`appendCharacters(T parent, char[] buf, int start, int length)`
`protected abstract void`
TreeBuilder.`appendComment(T parent, char[] buf, int start, int length)`
`protected abstract void`
TreeBuilder.`appendCommentToDocument(char[] buf, int start, int length)`
`final void`
TreeBuilder.`characters(char[] buf, int start, int length)`
`protected char`
ErrorReportingTokenizer.`checkChar(char[] buf, int pos)`
`protected char`
Tokenizer.`checkChar(char[] buf, int pos)`
`final void`
TreeBuilder.`comment(char[] buf, int start, int length)`
`protected void`
Tokenizer.`flushChars(char[] buf, int pos)`
Flushes coalesced character tokens.
`protected abstract void`
TreeBuilder.`insertFosterParentedCharacters(char[] buf, int start, int length, T table, T stackParent)`
`static boolean`
Portability.`localEqualsBuffer(String local, char[] buf, int length)`
`static String`
Portability.`newLocalNameFromBuffer(char[] buf, int length, Interner interner)`
Allocates a new local name object.
`static String`
Portability.`newStringFromBuffer(char[] buf, int offset, int length)`
Constructor parameters in nu.validator.htmlparser.impl with annotations of type NoLength
Modifier
Constructor
Description
``
`UTF16Buffer(char[] buffer, int start, int end)`
Constructor for wrapping an existing UTF-16 code unit array.